### Method

# Gtk Snapshot push_shadow

#### Declaration [src]

    void
    gtk_snapshot_push_shadow (
      GtkSnapshot* snapshot,
      const GskShadow* shadow,
      gsize n_shadows
    )

#### Description [src]

Applies a shadow to an image.

The image is recorded until the next call to `gtk_snapshot_pop()`.

#### Parameters

`shadow`

  Type: An array of `GskShadow`

  The first shadow specification.

  The length of the array is specified in the `n_shadows` argument.
  The data is owned by the caller of the method.

`n_shadows`

  Type: `gsize`

  Number of shadow specifications.